<?php

namespace Barn2\Plugin\WC_Filters\Dependencies\Illuminate\Contracts\Pagination;

interface LengthAwarePaginator extends Paginator
{
    /**
     * Create a range of pagination URLs.
     *
     * @param  int  $start
     * @param  int  $end
     * @return array
     */
    public function getUrlRange($start, $end);
    /**
     * Determine the total number of items in the data store.
     *
     * @return int
     */
    public function total();
    /**
     * Get the page number of the last available page.
     *
     * @return int
     */
    public function lastPage();
}
