<?php

namespace Barn2\Plugin\WC_Filters\Dependencies\Illuminate\Database\Eloquent\Casts;

use Barn2\Plugin\WC_Filters\Dependencies\Illuminate\Contracts\Database\Eloquent\Castable;
use Barn2\Plugin\WC_Filters\Dependencies\Illuminate\Contracts\Database\Eloquent\CastsAttributes;
class AsArrayObject implements Castable
{
    /**
     * Get the caster class to use when casting from / to this cast target.
     *
     * @param  array  $arguments
     * @return object|string
     */
    public static function castUsing(array $arguments)
    {
        return new class implements CastsAttributes
        {
            public function get($model, $key, $value, $attributes)
            {
                return isset($attributes[$key]) ? new ArrayObject(\json_decode($attributes[$key], \true)) : null;
            }
            public function set($model, $key, $value, $attributes)
            {
                return [$key => \json_encode($value)];
            }
            public function serialize($model, string $key, $value, array $attributes)
            {
                return $value->getArrayCopy();
            }
        };
    }
}
