<?php
/**
 * @package   Barn2\woocommerce-product-filters
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */

namespace Barn2\Plugin\WC_Filters\Integrations;

/**
 * Class that helps with the retrieval of query details
 * generated by the Elementor widget.
 */
class Elementor_Shortcode extends \ElementorPro\Modules\Woocommerce\Classes\Products_Renderer {

	/**
	 * Get the query results.
	 *
	 * @return object
	 */
	public function get_products() {
		return $this->get_query_results();
	}

	/**
	 * Override the get query results method
	 * and specify that we want all products.
	 *
	 * @return object
	 */
	protected function get_query_results() {
		$this->query_args['posts_per_page'] = -1;
		return parent::get_query_results();
	}

}
