<?php

namespace Barn2\Plugin\WC_Filters;

use Barn2\Plugin\WC_Filters\Dependencies\Lib\WooCommerce\Templates;
use Barn2\Plugin\WC_Filters\Dependencies\Lib\WooCommerce\Template_Loader;

/**
 * A factory for creating the shared template loader instance.
 *
 * @package   Barn2\woocommerce-product-filters
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 *
 * @codeCoverageIgnore
 */
class Templates_Loader_Factory {

	private static $template_loader = null;

	/**
	 * Get the shared template loader instance.
	 *
	 * @return Template_Loader The template loader.
	 */
	public static function create() {
		if ( null === self::$template_loader ) {
			self::$template_loader = new Templates( 'discounts', wcf()->get_dir_path() . 'templates/' );
		}
		return self::$template_loader;
	}
}
