<?php
/**
 * @package   Barn2\woocommerce-product-filters
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */

namespace Barn2\Plugin\WC_Filters\Traits;

trait Search_Query_Array_Aware {

	/**
	 * @inheritdoc
	 */
	public function get_search_query() {
		if ( is_array( $this->search_query ) ) {
			return $this->search_query;
		}

		if ( is_string( $this->search_query ) && strpos( $this->search_query, ',' ) !== false ) {
			// Split the string by commas, then trim each element.
			return array_map( 'trim', explode( ',', $this->search_query ) );
		}

		return [ $this->search_query ];
	}
}
