<?php
/**
 * Fired when the plugin is uninstalled.
 *
 * @package   Barn2\woocommerce-product-filters
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

global $wpdb;

$settings = get_option( 'wcf_options', [] );

if ( ! isset( $settings['delete_data'] ) || ! $settings['delete_data'] ) {
	return;
}

$options_to_delete = [
	'wcf_options',
	'barn2_plugin_license_392496',
	'barn2_plugin_promo_392496',
	'barn2_plugin_review_banner_392496',
];

foreach ( $options_to_delete as $option ) {
	delete_option( $option );
}

$tables_to_delete = [
	"{$wpdb->prefix}wcf_filters",
	"{$wpdb->prefix}wcf_groups",
	"{$wpdb->prefix}wcf_index",
];

foreach ( $tables_to_delete as $table ) {
	$wpdb->query( "DROP TABLE IF EXISTS {$table}" ); //phpcs:ignore WordPress.DB.PreparedSQL.NotPrepared
}
